## ESpinner

ESpinner

## Functions

GtkWidget * | e_spinner_new ()
gboolean | e_spinner_get_active ()
void | e_spinner_set_active ()
void | e_spinner_start ()
void | e_spinner_stop ()

## Properties

gboolean | active | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkMisc
                    ╰── GtkImage
                        ╰── ESpinner

## Description

## Functions

### e_spinner_new ()

    GtkWidget *
    e_spinner_new (void);

### e_spinner_get_active ()

    gboolean
    e_spinner_get_active (ESpinner *spinner);

### e_spinner_set_active ()

    void
    e_spinner_set_active (ESpinner *spinner,
                          gboolean active);

### e_spinner_start ()

    void
    e_spinner_start (ESpinner *spinner);

### e_spinner_stop ()

    void
    e_spinner_stop (ESpinner *spinner);

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the animation is active.

Owner: ESpinner

Flags: Read / Write / Construct

Default value: FALSE